# Class QCommandApplicationUsage

java.lang.Object
com.io7m.quarrel.core.internal.QCommandApplicationUsage

All Implemented Interfaces:
  `QCommandOrGroupType`, `QCommandType`

public final class QCommandApplicationUsage extends Object implements QCommandType
The anonymous application usage command executed when no arguments are provided.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QCommandApplicationUsage(QApplicationType inTarget)`
  The anonymous application usage command executed when no arguments are provided.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QCommandMetadata`
  `metadata()`
  `QCommandStatus`
  `onExecute(QCommandContextType context)`
  Execute the command.
  `List<QParameterNamedType<?>>`
  `onListNamedParameters()`
  `QParametersPositionalType`
  `onListPositionalParameters()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden`

- ## Constructor Details

  - ### QCommandApplicationUsage

    public QCommandApplicationUsage(QApplicationType inTarget)
    The anonymous application usage command executed when no arguments are provided.
    Parameters:
      `inTarget` - The target

- ## Method Details

  - ### metadata

    public QCommandMetadata metadata()
    Specified by:
      `metadata` in interface `QCommandOrGroupType`
    Returns:
      The descriptive metadata for the command/group

  - ### onListNamedParameters

    public List<QParameterNamedType<?>> onListNamedParameters()
    Specified by:
      `onListNamedParameters` in interface `QCommandType`
    Returns:
      The named parameters for the command

  - ### onListPositionalParameters

    public QParametersPositionalType onListPositionalParameters()
    Specified by:
      `onListPositionalParameters` in interface `QCommandType`
    Returns:
      The positional parameters for the command

  - ### onExecute

    public QCommandStatus onExecute(QCommandContextType context) throws Exception
    Description copied from interface: `QCommandType`
    Execute the command.
    Specified by:
      `onExecute` in interface `QCommandType`
    Parameters:
      `context` - The command context
    Returns:
      The result of execution
    Throws:
      `Exception` - On errors